package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.entity.TFCustomFlow;
import com.qmth.distributed.print.business.enums.TFCustomTypeEnum;

/**
 * <p>
 * 自定义流程表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2022-01-21
 */
public interface TFCustomFlowService extends IService<TFCustomFlow> {

    /**
     * 查询版本号
     *
     * @param schoolId
     * @param orgId
     * @param type
     * @return
     */
    Integer findMaxVersion(Long schoolId, Long orgId, TFCustomTypeEnum type);

    /**
     * 根据流程id查找
     *
     * @param flowId
     * @return
     */
    TFCustomFlow findByFlowId(Long flowId);
}
